/*****************************************************************************
 *
 * LibUnrawel, Copyright (C) 2002-2003 by Alexander Tsvyashchenko
 * contact address: <spam@ndl.kiev.ua>
 *
 * short license info is below, but it concerns only program itself -
 * you should see copyrights.txt for algorithms licenses info!
 *
 *****************************************************************************

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

******************************************************************************/

/*****************************************************************************
 * WBDichromaticCalculator - white balance calculation based on dichromatic
 * assumption.
******************************************************************************/

#include "stdafx.h"

#include "WBDichromaticCalculator.h"
//-----------------------------------------------------------------------------
WBDichromaticCalculator& WBDichromaticCalculator::GetWBCalculator()
  {
  static WBDichromaticCalculator calculator;
  return calculator;
  }
//-----------------------------------------------------------------------------
WBDichromaticCalculator::WBDichromaticCalculator(): IParametrizable("WBDichromaticCalculator")
  {
  }
//-----------------------------------------------------------------------------
void WBDichromaticCalculator::GetParameters(Params& o_params) const
  {
  }
//-----------------------------------------------------------------------------
void WBDichromaticCalculator::GetDescriptions(Params& o_params) const
  {
  }
//-----------------------------------------------------------------------------
void WBDichromaticCalculator::SetParameters(Params& i_params)
  {
  }
//-----------------------------------------------------------------------------
void WBDichromaticCalculator::NewPixelInSegment(ulong segment_number, const Position& pos)
  {
  }
//-----------------------------------------------------------------------------
void WBDichromaticCalculator::NewSegment(ulong segment_number)
  {
  }
//-----------------------------------------------------------------------------
WhiteBalance WBDichromaticCalculator::CalculateWB(const Image& image, const RawImageInfo& image_info)
  {
  mg_log << INFO << "Running WB Dichromatic Calculator" << endlog;

  SegmentImage(this, image, image_info, 2);

  exit(0);

  WhiteBalance res;

  return res;
  }
//-----------------------------------------------------------------------------